# TerminatePort

## 1. 接口描述

本接口用于终止端口。

#### 准备工作

* 在终止端口之前，你可以调用[DescribePorts](https://docs.console.zenlayer.com/api-reference/cn/networking/sdn/describeports#DescribePorts)进行查看端口列表。

{% hint style="info" %}
**注意事项**

* 不再使用的端口，可通过本接口主动退还。如果是后付费，退还的端口将停止计费。
* 本接口无法主动退还预付费订阅模式的端口，**订阅模式**的端口将会在订阅到期后自动退还。
* 退还后的端口将进入回收站，进入回收站后如无其他操作端口将在48小时后自动释放，也可以调用[DestroyPort](https://docs.console.zenlayer.com/api-reference/cn/networking/sdn/destroyport#DestroyPort)接口主动进行释放。
* 已经在回收站中或者正在创建中的端口调用该接口无效。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

<table><thead><tr><th>参数名称</th><th>是否必选</th><th width="177">类型</th><th>描述</th></tr></thead><tbody><tr><td>portId</td><td>是</td><td>String</td><td>端口id。</td></tr></tbody></table>

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}

```json
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: TerminatePort
<Common Request Params>

Request:
{
  "portId": "your-port-id"
}

Response:
{
  "requestId": "T3811A0E7-C250-40A2-96AD-08AD759E1BC2",
  "response": {
    "requestId": "T3811A0E7-C250-40A2-96AD-08AD759E1BC2"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/toolkit)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/instruction/commonerrorcode)

| HTTP状态码 | 错误码                             | 说明     |
| ------- | ------------------------------- | ------ |
| 7105    | SELF\_SERVICE\_PORT\_NOT\_FOUND | 端口未找到。 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/networking/sdn/port/terminateport.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
